#ifndef LIMITSSETTINGS_H
#define LIMITSSETTINGS_H

#include <QDialog>

#include <iostream>

#include "lbtsettings.h"

using namespace std;

namespace Ui {
    class LimitsSettings;
}

class LimitsSettings : public QDialog {
    Q_OBJECT
public:
    LbtSettings new_settings;

    LimitsSettings(QWidget *parent = 0);
    ~LimitsSettings();

    void updateWidgets(LbtSettings &s);
public slots:
    void slot_LimitsSettings_show_max_lim(int max_lim);
    void slot_LimitsSettings_show_min_lim(int min_lim);

protected:
    void changeEvent(QEvent *e);

private:
    Ui::LimitsSettings *ui;
};

#endif // LIMITSSETTINGS_H
